#!/usr/bin/env python
# coding=utf-8
#***********************************************************************
# * Copyright     Copyright(c) 2019 - Hisilicon Technoligies Co., Ltd.
# * Filename
# * Description   analysis bin mini dump
# * Version       1.0
# * Data          2019.6.28
#***********************************************************************

#isr module info name and info data list

isr_info_name_list = [
						"ISR_NO",#0
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",#120
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",
						"ISR_NO",#127            
					]


isr_info_data_list = [	#low bit to high bit
						["isr_no","rsv"], #0
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"], #10
						[32,32],			
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],	
						["isr_no","rsv"], #20
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"], #30
						[32,32],			
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"], #40
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"], #50
						[32,32],			
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"], #60
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"], #70
						[32,32],			
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"], #80
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"], #90
						[32,32],			
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],	
						["stat","core_id"], #100
						[32,32],
						["stat","core_id"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"], #110
						[32,32],			
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"], #120
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],
						["isr_no","rsv"],
						[32,32],

						]  
